Skip to navigation

Decline multiple Approval Requests in one call.

Requires the QUOTE.VIEW, INVOICE.VIEW or PRICING_PLAN_SCHEDULE.VIEW permission. Which one depends on the source of the approval request: QUOTE_VERSION requires QUOTE.VIEW; INVOICE requires INVOICE.VIEW; PRICING_PLAN_SCHEDULE requires PRICING_PLAN_SCHEDULE.VIEW. Only the approvers named on the approval policy can approve or decline it, and not the user who requested it.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
resource_idslist of strings or nullOptional
The resource IDs of the Approval Requests to act upon.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error